curl --request GET \
--url https://{base_url_domain}/api/global/v1/receiving/{type}/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{base_url_domain}/api/global/v1/receiving/{type}/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{base_url_domain}/api/global/v1/receiving/{type}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource": {
"type": "ASN",
"warehouse": {
"type": "Warehouse",
"id": 123
},
"id": 123,
"supplier_name": "<string>",
"expected_at": "2019-12-03T21:06:26Z",
"merchant_reference": "<string>",
"supplier_invoice_reference": "<string>",
"supplier_order_reference": "<string>",
"bill_of_lading": "<string>",
"standard_carrier_alpha_code": "<string>",
"merchant": {
"type": "Merchant",
"id": 4
},
"increment_id": "11000020",
"progress_percent": 50,
"carrier_name": "<string>",
"delivered_at": "2019-12-03T21:06:26Z",
"receive_by": "2019-12-03T21:06:26Z",
"processed_at": "2019-12-03T21:06:26Z",
"putaway_at": "2019-12-03T21:06:26Z",
"completed_at": "2019-12-03T21:06:26Z",
"ready_to_process_at": "2019-12-03T21:06:26Z",
"merchant_status": "<string>",
"item_count": 123,
"container_count": 123,
"label_count": 123,
"exception_count": 123,
"processing_comments": "<string>",
"special_requirements": [
"<string>"
],
"is_auto_commit": true,
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z",
"tracking_numbers": [
"<string>"
],
"status_history": [
{
"delivery_item": {
"type": "DeliveryItem",
"id": 3,
"product": {
"type": "Product",
"id": 3
},
"quantity": 123,
"qty_expected": 123,
"qty_received": 123,
"qty_shortage": 123,
"qty_overage": 123,
"qty_processed": 123,
"qty_putaway": 123,
"qty_committed": 123,
"qty_returned": 123,
"lots": [
{
"type": "DeliveryItemLot",
"id": 3
}
],
"locations": [
{
"type": "DeliveryItemLocation",
"id": 3
}
],
"exceptions": [
{
"type": "DeliveryException",
"id": 3
}
]
},
"exception": {
"type": "Exception",
"id": 123
},
"comment": "<string>",
"requester": {
"type": "Requester",
"id": 3
},
"created_at": "2017-07-21T17:32:28Z",
"package": {
"type": "Package",
"id": 123
}
}
],
"items": [
{
"type": "DeliveryItem",
"id": 3,
"product": {
"type": "Product",
"id": 3
},
"quantity": 123,
"qty_expected": 123,
"qty_received": 123,
"qty_shortage": 123,
"qty_overage": 123,
"qty_processed": 123,
"qty_putaway": 123,
"qty_committed": 123,
"qty_returned": 123,
"lots": [
{
"type": "DeliveryItemLot",
"id": 3
}
],
"locations": [
{
"type": "DeliveryItemLocation",
"id": 3
}
],
"exceptions": [
{
"type": "DeliveryException",
"id": 3
}
]
}
]
},
"included": {
"DeliveryContainer": [
{
"type": "DeliveryContainer",
"id": 3,
"container_type": {
"type": "DeliveryContainerType",
"id": 3,
"merchant": {
"type": "Merchant",
"id": 4
},
"name": "<string>",
"name_plural": "<string>",
"weight": {
"value": 20
}
},
"tare_weight": {
"value": 20
},
"weight": {
"value": 20
},
"weighed_at": "2019-12-03T21:06:26Z",
"weighed_by": {
"id": 3
},
"contents": [
{
"delivery_item": {
"type": "DeliveryItem",
"id": 123
},
"qty_counted": 123,
"qty_shortage": 123,
"qty_counted_per_lot": [
{
"lot": {
"type": "Lot",
"id": 54
},
"quantity": 123
}
]
}
],
"condition_note": "<string>",
"item_count": 123
}
],
"DeliveryContainerType": [
{
"type": "DeliveryContainerType",
"id": 3,
"merchant": {
"type": "Merchant",
"id": 4
},
"name": "<string>",
"name_plural": "<string>",
"weight": {
"value": 20
}
}
],
"DeliveryException": [
{
"type": "DeliveryException",
"id": 3,
"container": {
"type": "DeliveryContainer",
"id": 3
},
"lot": {
"type": "Lot",
"id": 54
},
"reason": "<string>",
"comment": "<string>",
"quantity": 123
}
],
"DeliveryItem": [
{
"type": "DeliveryItem",
"id": 3,
"product": {
"type": "Product",
"id": 3
},
"quantity": 123,
"qty_expected": 123,
"qty_received": 123,
"qty_shortage": 123,
"qty_overage": 123,
"qty_processed": 123,
"qty_putaway": 123,
"qty_committed": 123,
"qty_returned": 123,
"lots": [
{
"type": "DeliveryItemLot",
"id": 3
}
],
"locations": [
{
"type": "DeliveryItemLocation",
"id": 3
}
],
"exceptions": [
{
"type": "DeliveryException",
"id": 3
}
]
}
],
"DeliveryItemLocation": [
{
"type": "DeliveryItemLocation",
"id": 3,
"location": {
"type": "Location",
"id": 42
},
"qty_putaway": 123,
"qty_committed": 123
}
],
"DeliveryItemLot": [
{
"type": "DeliveryItemLot",
"id": 3,
"lot": {
"type": "Lot",
"id": 54
},
"qty_counted": 123,
"qty_putaway": 123
}
],
"DeliveryStatusHistory": [
{
"delivery_item": {
"type": "DeliveryItem",
"id": 3,
"product": {
"type": "Product",
"id": 3
},
"quantity": 123,
"qty_expected": 123,
"qty_received": 123,
"qty_shortage": 123,
"qty_overage": 123,
"qty_processed": 123,
"qty_putaway": 123,
"qty_committed": 123,
"qty_returned": 123,
"lots": [
{
"type": "DeliveryItemLot",
"id": 3
}
],
"locations": [
{
"type": "DeliveryItemLocation",
"id": 3
}
],
"exceptions": [
{
"type": "DeliveryException",
"id": 3
}
]
},
"exception": {
"type": "Exception",
"id": 123
},
"comment": "<string>",
"requester": {
"type": "Requester",
"id": 3
},
"created_at": "2017-07-21T17:32:28Z",
"package": {
"type": "Package",
"id": 123
}
}
],
"Lot": [
{
"type": "Lot",
"id": 54
}
],
"Merchant": [
{
"type": "Merchant",
"id": 4,
"code": "acme_inc",
"name": "ACME Inc.",
"status": "active",
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z",
"brands": [
{
"type": "Brand",
"id": 4
}
],
"default_brand": {
"type": "Brand",
"id": 4
},
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
}
}
],
"Product": [
{
"type": "Product",
"id": 123,
"vendor_sku": "Vendor-SKU-1AD2",
"external_id": "11-993-9048",
"barcodes": [
"956623520-4",
"O-VS-Oregano-p3"
],
"is_available": true,
"is_visible": true,
"lot_type": {
"type": "LotType",
"id": 4
},
"weight": {
"value": 20
},
"dimensions": {
"length": 8,
"width": 6,
"height": 4
},
"volume": {
"value": 300
},
"inventory": {
"backorders": true,
"dynamic_allocation": true,
"virtual_inventory": "optimistic"
},
"export": {
"description": "Plastic children's toy with steel weights and ball bearings",
"customs_value": {
"amount": 99,
"currency": "USD"
},
"country_of_manufacture": "TW",
"hs_base_code": "8518.30",
"hs_country_extension": [
{
"country_id": "TW",
"extension": "002"
},
{
"country_id": "US",
"extension": "011"
}
]
},
"regulated_goods": {
"regulation": {
"type": "Regulation",
"id": 123
},
"technical_name": "Hydro Polymer Acetylene Coating",
"additional_information": "Flamable Liquid",
"net_weight": {
"value": 20
},
"container_type": "Plastic Box",
"container_meets_hazmat_specs": true,
"regulation_units": 5
},
"packaging": {
"require_packaging": true,
"require_weight_check": true,
"require_confirmation_per_item": true,
"unit_quantity": 1,
"bulk_quantity": 10,
"max_per_package": 15,
"is_ship_separately": true,
"ship_separately_tag": "PVC",
"can_tip": true,
"can_contain_other_items": true,
"is_handling_surcharge": true
},
"custom_fields": [
{
"code": "color",
"value": 13,
"label": "Red and Black"
},
{
"code": "cost_of_goods",
"value": 41.32
},
{
"code": "allow_mailer",
"value": true
}
],
"sku": "SKU-1AD",
"name": "Test Product",
"is_enabled": true,
"merchant": {
"type": "Merchant",
"id": 4
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
}
],
"Requester": [
{
"type": "Requester",
"id": 3,
"entity_id": 5,
"name": "Bernard Greensmith"
}
],
"Warehouse": [
{
"type": "Warehouse",
"id": 3,
"name": "East Coast 1",
"abbreviation": "EC1",
"is_active": true
}
]
}
}{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}Get one Delivery
Returns a single ASN, RMA, or Other object specified by its type & id path parameters.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
Specify the delivery type to which your operations will be restricted.
asn, rma, other The id of the referenced Delivery.
x >= 1Query Parameters
Specify additional fields of the ASN OR RMA object to be included in the response.
See the selecting fields page for more information.
basic, all, customer_name, carrier_name, authorized_at, delivered_at, receive_by, processed_at, putaway_at, completed_at, ready_to_process_at, merchant_rma_number, merchant_status, carrier_tracking_number, merchant_order_number, item_count, container_count, label_count, exception_count, processing_comments, special_requirements, is_auto_commit, order, created_at, updated_at, supplier_name, expected_at, merchant_reference, supplier_invoice_reference, supplier_order_reference, shipment_type, bill_of_lading, tracking_numbers, standard_carrier_alpha_code, status_history, items Specify additional fields of the Merchant object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, status, created_at, updated_at, brands, default_brand, custom_fields Specify additional fields of the Warehouse object to be included in the response.
basic, all, id, name, is_active, abbreviation Specify additional fields of the DeliveryStatusHistory object to be included in the response. See the selecting fields page for more information.
all, delivery_item, status, exception, exception_status, comment, user, created_at, package Specify additional fields of the DeliveryItem objects to be included in the response. See the selecting fields page for more information.
basic, all, product, quantity, qty_expected, qty_received, qty_shortage, qty_overage, qty_processed, qty_putaway, qty_committed, qty_returned, is_sku_merge_email_sent, lots, locations, exceptions Specify additional fields of the DeliveryException objects nested under items to be included in the response. See the selecting fields page for more information.
basic, all, container, lot, status, sign, reason, comment, quantity Specify additional fields of the DeliveryItemLot objects nested under items to be included in the response. See the selecting fields page for more information.
all, lot, qty_counted, qty_putaway Specify additional fields of the DeliveryItemLocation objects nested under items to be included in the response. See the selecting fields page for more information.
all, location, qty_putaway, qty_committed Specify additional fields of the DeliveryContainer objects to be included in the response. See the selecting fields page for more information.
basic, all, label, type, status, weight, length, width, height, total_skus, total_qty, contents Response
OK
An ASN (Advanced Shipping Notification) delivery object.
- ASN
- RMA
- Other
Show child attributes
Show child attributes
Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.
Show child attributes
Show child attributes
Was this page helpful?